org.jgroups.demos

## Class RelayDemo

- java.lang.Object
- - org.jgroups.demos.RelayDemo

    public class RelayDemo
    extends java.lang.Object

Demos RELAY. Create 2 *separate* clusters with RELAY as top protocol. Each RELAY has bridge_props="tcp.xml" (tcp.xml needs to be present). Then start 2 instances in the first cluster and 2 instances in the second cluster. They should find each other, and typing in a window should send the text to everyone, plus we should get 4 responses.

Author:
  Bela Ban

### Constructor Summary

Constructors
Constructor and Description
`RelayDemo()`

### Method Summary

Methods
`static void` `main(java.lang.String[] args)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RelayDemo

    public RelayDemo()

### Method Detail

#### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`